Imports System.Windows
Imports System.ComponentModel
Imports Microsoft.Kinect

Class MainWindow
    Implements INotifyPropertyChanged

    Private _beamAngle As Double

    Public Sub New()
        ' この呼び出しはデザイナーで必要です。
        InitializeComponent()

        ' InitializeComponent() 呼び出しの後で初期化を追加します。

        'TODO: implement
    End Sub
    Private Function CreateAudioSource() As KinectAudioSource
        'TODO: implement
    End Function

    Private Sub ListenForBeamChanges()
        'TODO: implement
    End Sub

    Sub audioSource_BeamAngleChanged(sender As Object, e As BeamAngleChangedEventArgs)
        'TODO: implement
    End Sub

    Public Event PropertyChanged(sender As Object, e As System.ComponentModel.PropertyChangedEventArgs) Implements System.ComponentModel.INotifyPropertyChanged.PropertyChanged
    Private Sub NotifyPropertyChanged(ByVal propertyName As String)
        'TODO: implement
    End Sub
End Class
